Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.sequenceScores.statisticalModels.trainable.discrete.inhomogeneous
Class InhConstraint

    java.lang.Object
      de.jstacs.sequenceScores.statisticalModels.trainable.discrete.Constraint
          de.jstacs.sequenceScores.statisticalModels.trainable.discrete.inhomogeneous.InhConstraint

All Implemented Interfaces:
  Storable, Cloneable

Direct Known Subclasses:
  InhCondProb, MEMConstraint

    public abstract class InhConstraint

extends Constraint
implements Cloneable

This class is the superclass for all inhomogeneous constraints.

Author:
  Jens Keilwagen

Field Summary
`protected int[]` | `offset` This array is used to find the start indices of the conditional distributions.

Fields inherited from class de.jstacs.sequenceScores.statisticalModels.trainable.discrete.Constraint
`counts, freq, usedPositions`

Constructor Summary
`protected` | `InhConstraint(int[] pos, int[] alphabetLength)` Creates a new `InhConstraint` instance.
`protected` | `InhConstraint(StringBuffer xml)` The standard constructor for the interface `Storable`.

Method Summary
`protected void` | `appendAdditionalInfo(StringBuffer xml)` This method appends additional information that is not stored in the base class to the `StringBuffer`.
`InhConstraint` | `clone()`
`protected void` | `extractAdditionalInfo(StringBuffer xml)` This method parses additional information from the `StringBuffer` that is not parsed in the base class.
`String` | `getDescription(AlphabetContainer con, int i)` Returns the decoded symbol for the encoded symbol `i`.
`int` | `satisfiesSpecificConstraint(Sequence s, int start)` This method returns the index of the specific constraint that is fulfilled by the `Sequence` `seq` beginning at position `start`.

Methods inherited from class de.jstacs.sequenceScores.statisticalModels.trainable.discrete.Constraint
`add, add, estimate, estimateUnConditional, getCount, getFreq, getFreq, getFreqInfo, getMarginalOrder, getNumberOfSpecificConstraints, getPosition, getPositions, getXMLTag, reset, resetCounts, toString, toXML`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### offset

    protected int[] offset

  This array is used to find the start indices of the conditional distributions.

Constructor Detail

### InhConstraint

    protected InhConstraint(int[] pos,
                            int[] alphabetLength)

  Creates a new `InhConstraint` instance.

  Parameters:
    `pos` - the positions
    `alphabetLength` - the length of each alphabet (not only the used positions)
  See Also:
    `Constraint.Constraint(int[], int)`

### InhConstraint

    protected InhConstraint(StringBuffer xml)
                     throws NonParsableException

  The standard constructor for the interface `Storable`. Creates a new `InhConstraint` instance out of its XML representation.

  Parameters:
    `xml` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `InhConstraint` instance could not be reconstructed out of the XML representation (the `StringBuffer` could not be parsed)
  See Also:
    `Storable`, `Constraint.Constraint(StringBuffer)`

Method Detail

### extractAdditionalInfo

    protected void extractAdditionalInfo(StringBuffer xml)
                                  throws NonParsableException

  Description copied from class: `Constraint`
  This method parses additional information from the `StringBuffer` that is not parsed in the base class.

  Specified by:
    `extractAdditionalInfo` in class `Constraint`
  Parameters:
    `xml` - the `StringBuffer` to be parsed
  Throws:
    `NonParsableException` - if something with the parsing went wrong

### clone

    public InhConstraint clone()
                        throws CloneNotSupportedException

  Overrides:
    `clone` in class `Constraint`
  Throws:
    `CloneNotSupportedException`

### satisfiesSpecificConstraint

    public int satisfiesSpecificConstraint(Sequence s,
                                           int start)

  Description copied from class: `Constraint`
  This method returns the index of the specific constraint that is fulfilled by the `Sequence` `seq` beginning at position `start`.

  Specified by:
    `satisfiesSpecificConstraint` in class `Constraint`
  Parameters:
    `s` - the sequence
    `start` - the start position
  Returns:
    the index of the fulfilled, specific constraint

### appendAdditionalInfo

    protected void appendAdditionalInfo(StringBuffer xml)

  Description copied from class: `Constraint`
  This method appends additional information that is not stored in the base class to the `StringBuffer`.

  Specified by:
    `appendAdditionalInfo` in class `Constraint`
  Parameters:
    `xml` - the `StringBuffer` that is used for appending additional information

### getDescription

    public String getDescription(AlphabetContainer con,
                                 int i)

  Description copied from class: `Constraint`
  Returns the decoded symbol for the encoded symbol `i`.

  Specified by:
    `getDescription` in class `Constraint`
  Parameters:
    `con` - the `AlphabetContainer`
    `i` - the encoded symbol
  Returns:
    the decoded symbol for the encoded symbol `i`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD